Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2121708 - perl-CGI:4.51 FTBFS: depends on perl-libwww-perl:6.48 which is EOL
Summary: perl-CGI:4.51 FTBFS: depends on perl-libwww-perl:6.48 which is EOL
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora Modules
Classification: Fedora
Component: perl-CGI
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact:
URL: https://pdc.fedoraproject.org/rest_ap...
Whiteboard:
Depends On:
Blocks: F38FTBFS
TreeView+ depends on / blocked
 
Reported: 2022-08-26 10:43 UTC by Petr Pisar
Modified: 2022-09-21 01:38 UTC (History)
1 user (show)

Fixed In Version: perl-CGI-4.54-3620220907065642.1f36p536 perl-CGI-4.54-3520220907065642.1f35p536 perl-CGI-4.54-3720220907065642.1f37p536
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-09-16 02:11:22 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Petr Pisar 2022-08-26 10:43:00 UTC
perl-CGI:4.51 depends on perl-libwww-perl:6.48 which is end-of-life:

Stream                 EOL
---------------------------------
perl-CGI:4.51          2022-12-01
perl-libwww-perl:6.48  2022-06-01

That prevents perl-CGI:4.51 from building it for Fedora 38.

Either prolonge perl-libwww-perl:6.48 EOL or shorten perl-CGI:4.51 EOL.

Comment 1 Petr Pisar 2022-08-26 10:48:15 UTC
Or you can change the dependency from perl-libwww-perl:6.48 to perl-libwww-perl:6.62. Now with the static contexts it's safe to change the dependency. (Though DNF will probably skip the update because users will have enabled the old perl-libwww-perl stream.)

Comment 2 Fedora Update System 2022-09-07 11:02:31 UTC
FEDORA-MODULAR-2022-9905e7ad0a has been submitted as an update to Fedora 36 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2022-9905e7ad0a

Comment 3 Fedora Update System 2022-09-07 11:02:32 UTC
FEDORA-MODULAR-2022-b388418857 has been submitted as an update to Fedora 37 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2022-b388418857

Comment 4 Fedora Update System 2022-09-07 11:02:33 UTC
FEDORA-MODULAR-2022-a1bb4cad25 has been submitted as an update to Fedora 35 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2022-a1bb4cad25

Comment 5 Fedora Update System 2022-09-08 11:57:05 UTC
FEDORA-MODULAR-2022-9905e7ad0a has been pushed to the Fedora 36 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2022-9905e7ad0a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2022-09-08 12:10:22 UTC
FEDORA-MODULAR-2022-a1bb4cad25 has been pushed to the Fedora 35 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2022-a1bb4cad25

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-09-13 09:03:40 UTC
FEDORA-MODULAR-2022-b388418857 has been pushed to the Fedora 37 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2022-b388418857

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-09-16 02:11:22 UTC
FEDORA-MODULAR-2022-9905e7ad0a has been pushed to the Fedora 36 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2022-09-16 02:28:08 UTC
FEDORA-MODULAR-2022-a1bb4cad25 has been pushed to the Fedora 35 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2022-09-21 01:38:40 UTC
FEDORA-MODULAR-2022-b388418857 has been pushed to the Fedora 37 Modular stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.